import {
  expect
} from "chai";
import flushPromises from "flush-promises";
import {
  mount
} from "@vue/test-utils";

import {
  Vue
} from 'vue';
import {
  GridPlugin
} from '@syncfusion/ej2-vue-grids';

Vue.use(GridPlugin);

import MyComponent from "../mycomponent.vue";

describe("mycomponent.vue", () => {
  let vue;
  let mycomponent;

  beforeEach(() => {
    const wrapper = mount(MyComponent, {
      attachToDocument: true
    });
    vue = wrapper;
    mycomponent = wrapper.vm;
  });

  it("goToPage - currentPage and previousPage properties should change", async () => {
    await flushPromises();

    mycomponent.$refs.internal.goToPage(2);

    // like next-tick
    await flushPromises();

    expect(mycomponent.$data.previousPage).equal(1);
    expect(mycomponent.$data.currentPage).equal(2);
  });
});